/***************************************************************************
 *   Copyright (C) 2009 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "qkmlabel.h"
#include <QResizeEvent>

QKMLabel::QKMLabel(QWidget *parent)
 : QLabel(parent)
{
	setAlignment(Qt::AlignHCenter | Qt::AlignHCenter);
	unit = "km";
	reset();
}


QKMLabel::~QKMLabel()
{
}




/*!
    \fn QKMLabel::reset()
 */
void QKMLabel::reset()
{
    setKM( 0 );
}


/*!
    \fn QKMLabel::add( double d )
 */
void QKMLabel::addKM( double d )
{
    	km = km + d;
	setKM( km );
}


/*!
    \fn QKMLabel::setKM()
 */
void QKMLabel::setKM( double d )
{
    	km = d;
	QString tmp;
	tmp.sprintf( "%1.1f", d );
	setText(tmp + "\n" + unit );
}


/*!
    \fn QKMLabel::getKM()
 */
double QKMLabel::getKM()
{
    return km;
}


/*!
    \fn QKMLabel::resizeEvent ( QResizeEvent * event )
 */
void QKMLabel::resizeEvent ( QResizeEvent * event )
{
    	QFont fnt = font();
	fnt.setPixelSize( event->size().height() * 40 /100 );
	setFont( fnt );
}
