/***************************************************************************
 *   Copyright (C) 2009 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef QKMLABEL_H
#define QKMLABEL_H

#include <QLabel>
#include <QWidget>

/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class QKMLabel : public QLabel
{
Q_OBJECT
public:
    QKMLabel(QWidget *parent = 0);

    ~QKMLabel();
    void setKM( double d );
    void addKM( double d );
    void reset();
    double getKM();

protected:
    QString unit;
    double km;
protected:
    virtual void resizeEvent ( QResizeEvent * event );
};

#endif
